﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
Sub Class_Globals

	Private xui As XUI
	Private frm As Form
	Private dialog1 As B4XDialog

	Private showing As Boolean = False
	Private initialDlgWidth As Double
	Private initialDlgHeight As Double

End Sub

' Called from Main.AppStart
Public Sub Initialize(callersForm As Form, dialogWidth As Double, dialogHeight As Double)

	frm = callersForm
	initialDlgWidth = dialogWidth
	initialDlgHeight = dialogHeight

End Sub

' Called from Main.Mainform_Resize
Public Sub Resize(width As Double, height As Double)
	If dialog1.Visible Then
		Dim dx = width - dialog1.Base.Width, dy = height - dialog1.Base.Height As Double
		For i = 0 To dialog1.Base.NumberOfViews - 2 'the last view is the content view
			Dim v As B4XView = dialog1.Base.GetView(i)
			v.Left = v.Left + dx
			v.Top = v.Top + dy
		Next
		dialog1.Base.SetLayoutAnimated(0, 0, 0, width, height)
		dialog1.Resize(width, height)
		Dim ContentPanel As B4XView = dialog1.Base.GetView(dialog1.Base.NumberOfViews - 1)
		ContentPanel.SetLayoutAnimated(0, 0, 0, width, height - dialog1.ButtonsHeight - 3dip)
	End If
End Sub

' Called from Main.AppStart
Public Sub Show As ResumableSub

	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, initialDlgWidth, initialDlgHeight)
	p.LoadLayout("test")

	dialog1.Initialize(frm.RootPane)
	dialog1.Title = "Test"

	Dim rSub As ResumableSub = dialog1.ShowCustom(p, "OK", "", "Cancel")
	showing = True
	Wait For (rSub) Complete(dlgresult As Int)
	showing = False

	Return ""

End Sub